=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
     nesterov_momentum_sgd_test.cpp
     parallel_sgd_test.cpp
     proximal_test.cpp
+    quasi_hyperbolic_momentum_sgd_test.cpp
     rmsprop_test.cpp
     sa_test.cpp
     sarah_test.cpp
