=== debian/changelog ===
ensmallen (1.15.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Jun 2019 20:44:09 +0100

ensmallen (1.15.0-2) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 May 2019 09:42:07 +0100
