=== debian/changelog ===
ensmallen (1.16.2-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 Aug 2019 10:04:37 +0100
