=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,19 @@
-project(ensmallen_tests CXX)
-
+# The tests that need to be compiled.
 set(ENSMALLEN_TESTS_SOURCES
     main.cpp
+    ada_bound_test.cpp
     ada_delta_test.cpp
     ada_grad_test.cpp
     adam_test.cpp
     aug_lagrangian_test.cpp
     bigbatch_sgd_test.cpp
+    callbacks_test.cpp
     cmaes_test.cpp
     cne_test.cpp
+    de_test.cpp
     eve_test.cpp
     frankwolfe_test.cpp
+    ftml_test.cpp
     function_test.cpp
     gradient_descent_test.cpp
     grid_search_test.cpp
@@ -18,6 +21,7 @@
     katyusha_test.cpp
     lbfgs_test.cpp
     line_search_test.cpp
+    lookahead_test.cpp
     lrsdp_test.cpp
     momentum_sgd_test.cpp
     nesterov_momentum_sgd_test.cpp
@@ -42,17 +46,16 @@
 )
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
-add_executable(${PROJECT_NAME} ${ENSMALLEN_TESTS_SOURCES})
-
-target_link_libraries(${PROJECT_NAME} ${ARMADILLO_LIBRARIES})
+add_executable(ensmallen_tests ${ENSMALLEN_TESTS_SOURCES})
+target_link_libraries(ensmallen_tests PRIVATE ensmallen)
 
 # Copy test data into place.
-add_custom_command(TARGET ${PROJECT_NAME}
+add_custom_command(TARGET ensmallen_tests
   POST_BUILD
   COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/data/
       ${CMAKE_BINARY_DIR}/data/
 )
 
 enable_testing()
-add_test(NAME ${PROJECT_NAME} COMMAND ${PROJECT_NAME}
+add_test(NAME ensmallen_tests COMMAND ensmallen_tests
 WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
