=== debian/changelog ===
ensmallen (2.11.3-1) unstable; urgency=medium

  * New upstream version
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 21 Feb 2020 15:03:45 +0000

ensmallen (2.11.2-1) unstable; urgency=medium

  * New upstream version
  * Remove cherry-picked patches which are in this release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 19 Jan 2020 09:01:18 +0000

ensmallen (2.11.1-5) unstable; urgency=medium

  * cherry-pick upstream patch for i386 issue

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 10 Jan 2020 12:04:07 +0000

ensmallen (2.11.1-4) unstable; urgency=medium

  * cherry-pick upstream patch for i386 issue

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 04 Jan 2020 20:05:43 +0000

ensmallen (2.11.1-3) unstable; urgency=medium

  * debian/rules: Oh where, oh where has my (testing) data gone?

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 03 Jan 2020 15:49:10 +0000

ensmallen (2.11.1-2) unstable; urgency=medium

  * Enable more verbose testing on the autobuilders

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 03 Jan 2020 14:03:30 +0000

ensmallen (2.11.1-1) unstable; urgency=medium

  * Remove upstreamed quilt patch
  * Remove unused variable from debian/rules
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Jan 2020 08:13:46 +0000

ensmallen (2.10.4-2) unstable; urgency=medium

  * Patch for i386 build failure

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 Dec 2019 14:49:00 +0000

ensmallen (2.10.4-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 25 Nov 2019 15:37:41 +0000

ensmallen (2.10.3-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 27 Sep 2019 09:00:43 +0100

ensmallen (2.10.2-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 13 Sep 2019 12:37:41 +0100

ensmallen (2.10.0-1) unstable; urgency=medium

  * Switch gbp.conf to apparent new upstream tag format
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 Sep 2019 14:01:47 +0100
