=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: debhelper-compat (= 12),
 		cmake,
 		libarmadillo-dev (>= 1:6.5), liblapack-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.ensmallen.org/
 Vcs-Git: https://salsa.debian.org/science-team/ensmallen.git
 Vcs-Browser: https://salsa.debian.org/science-team/ensmallen
