## ensmallen 2.14.1

=== debian/changelog ===
ensmallen (2.14.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Aug 2020 09:41:17 +0100

ensmallen (2.14.0-1) unstable; urgency=medium

  * New upstream version
  * Stop ignoring test failure (fixed upstream)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 12 Aug 2020 22:28:05 +0100

ensmallen (2.13.0-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Aug 2020 23:32:41 +0100

ensmallen (2.12.1-1) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 22 Apr 2020 20:25:06 +0100

ensmallen (2.12.0-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 06 Apr 2020 10:24:46 +0100

ensmallen (2.11.5-2) unstable; urgency=medium

  * Temporary fix: prevent test failure from blocking build on i386.
    See https://github.com/mlpack/ensmallen/issues/142

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 13 Mar 2020 10:13:18 +0000

ensmallen (2.11.5-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Mar 2020 15:22:34 +0000
