=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ensmallen
 Section: libs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 		cmake,
 		libarmadillo-dev (>= 1:6.5), liblapack-dev
 Standards-Version: 4.5.0
