## ensmallen 2.16.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,9 +38,9 @@
 
 # Set warning flags for target.
 if(MSVC)
-  target_compile_options(ensmallen INTERFACE /Wall )
+  target_compile_options(ensmallen INTERFACE $<BUILD_INTERFACE:/Wall>)
 else()
-  target_compile_options(ensmallen INTERFACE -Wall -Wpedantic -Wunused-parameter)
+  target_compile_options(ensmallen INTERFACE $<BUILD_INTERFACE:-Wall -Wpedantic -Wunused-parameter>)
 endif()
 
 # Find OpenMP and link it.
