=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
     lrsdp_test.cpp
     momentum_sgd_test.cpp
     nesterov_momentum_sgd_test.cpp
+    nsga2_test.cpp
     parallel_sgd_test.cpp
     proximal_test.cpp
     pso_test.cpp
