=== debian/changelog ===
ensmallen (2.16.2-2) unstable; urgency=medium

  * add autopkgtest support

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 16 Apr 2021 16:49:42 +0100

ensmallen (2.16.2-1) unstable; urgency=medium

  * New upstream version, WILL fix broken test (closes: #984868)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2021 21:55:13 +0000

ensmallen (2.16.1-2) unstable; urgency=medium

  * cherry pick quilt patch for debugging
    See https://github.com/mlpack/ensmallen/issues/253#issuecomment-792121815

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Mar 2021 16:54:59 +0000

ensmallen (2.16.1-1) unstable; urgency=medium

  * New upstream version, may fix broken test (closes: #983169, #983941)
  * Bump policy
  * Remove multi-arch: same
    conflicts on /usr/lib/cmake/ensmallen/ensmallen-config-version.cmake on amd64, mips64el <-> i386, mipsel
    (alternative solution would be to put the file in
    /usr/lib/$(DEB_HOST_MULTIARCH)/cmake/... but that hardly seems worthwhile.)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 05 Mar 2021 20:38:57 +0000

ensmallen (2.16.0-2) unstable; urgency=medium

  * Run test three times, per upstream request

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 04 Mar 2021 00:53:47 +0000

ensmallen (2.16.0-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 19 Feb 2021 11:08:23 +0000

ensmallen (2.15.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 Nov 2020 19:53:09 +0000

ensmallen (2.14.2-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 08 Sep 2020 21:38:02 +0100
