=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
 		cmake,
 		libarmadillo-dev (>= 1:6.5), liblapack-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.ensmallen.org/
 Vcs-Git: https://salsa.debian.org/science-team/ensmallen.git
@@ -15,7 +15,6 @@
 Package: libensmallen-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libarmadillo-dev (>= 1:6.5), liblapack-dev, ${misc:Depends}
 Description: C++ header-only library for mathematical optimization
  Ensmallen provides a simple set of abstractions for writing an objective
