=== debian/tests/control ===
Tests: test-script
Depends: @, g++ | clang | c++-compiler, libarmadillo-dev
Restrictions: allow-stderr
