## ensmallen 2.17.0

=== debian/changelog ===
ensmallen (2.17.0-2ubuntu1) impish; urgency=medium

  * Hardcode sigStackSize to 32768 to avoid FTBFS with glibc 2.34

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Aug 2021 17:53:22 +0000

ensmallen (2.17.0-2) unstable; urgency=medium

  * bump policy
  * build ensmallen_tests in debian/rules (closes: #990927)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Aug 2021 11:49:10 +0100

ensmallen (2.17.0-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 09 Jul 2021 12:44:38 +0100
