=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ensmallen
 Section: libs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 		cmake,
 		libarmadillo-dev (>= 1:6.5), liblapack-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.ensmallen.org/
 Vcs-Git: https://salsa.debian.org/science-team/ensmallen.git
