=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,11 @@
 
 %:
 	dh $@
+
+# This really should be guarded depending on whether tests are going to be run.
+# Note that the build-time tests are pretty much redundant with autopkgtest.
+execute_after_dh_auto_build:
+	dh_auto_build -- ensmallen_tests
 
 # Number of times to run test suite.
 # (There was a heisenbug, and this was used to help track it down.)
