## ensmallen 2.18.1

=== debian/changelog ===
ensmallen (2.18.1-1) unstable; urgency=medium

  * New upstream version
    - fix which should solve armel arch test issue

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Nov 2021 08:51:31 +0000

ensmallen (2.18.0-2) unstable; urgency=medium

  * Run test twice, and if either run fails run it another three times.

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 03 Nov 2021 12:28:40 +0000

ensmallen (2.18.0-1) unstable; urgency=medium

  * New upstream version
  * Reformat debian/patch/0002-... for consistency

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 Oct 2021 12:06:19 +0100

ensmallen (2.17.0-3) unstable; urgency=medium

  * Team upload.
  * d/rules: ensmallen_tests is no longer built if tests are not going to run.
  * d/t/test-script: build i386 tests with -ffloat-store, this fixes
    autopkgtest failure on that architecture.  (Closes: #993043)
  * d/{,t/}control, 0002-use-system-catch.patch: use the operating system's
    catch2 header, instead of the vendored one.  (Closes: #993513)

 -- Étienne Mollier <emollier@debian.org>  Sun, 19 Sep 2021 16:15:17 +0200
