=== debian/changelog ===
ensmallen (2.18.2-1) unstable; urgency=medium

  * New upstream version
  * Configure to use OpenMP
  * Stray vendored catch

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 18 Feb 2022 10:17:34 +0000
