=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: ensmallen
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
+		catch2,
 		cmake,
 		libarmadillo-dev (>= 1:6.5), liblapack-dev
 Standards-Version: 4.6.0
