## ensmallen 2.19.1

=== debian/changelog ===
ensmallen (2.19.1-2) unstable; urgency=medium

  * Merge upstream commit for 2.19.1 update straggler
  * Patch to relax test margin for i386 failure (closes: #1010431)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Feb 2023 10:54:09 +0000

ensmallen (2.19.1-1) unstable; urgency=medium

  * Janitor yak shave build dependency versions
  * New upstream version
  * Update standards version to 4.6.2, no changes needed.
  * Forward port quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 19 Feb 2023 23:06:57 +0000

ensmallen (2.19.0-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 24 Apr 2022 11:32:41 +0100
