## ensmallen 2.20.0

=== debian/changelog ===
ensmallen (2.20.0-1) unstable; urgency=medium

  * New upstream version
  * Forward port quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 08 Oct 2023 11:31:55 +0100
