=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,22 @@
 # The tests that need to be compiled.
 set(ENSMALLEN_TESTS_SOURCES
     main.cpp
+    active_cmaes_test.cpp
+    ada_belief_test.cpp
     ada_bound_test.cpp
     ada_delta_test.cpp
     ada_grad_test.cpp
+    ada_sqrt_test.cpp
     adam_test.cpp
     aug_lagrangian_test.cpp
     bigbatch_sgd_test.cpp
     callbacks_test.cpp
+    cd_test.cpp
     cmaes_test.cpp
     cne_test.cpp
     de_test.cpp
+    demon_adam_test.cpp
+    demon_sgd_test.cpp
     eve_test.cpp
     frankwolfe_test.cpp
     ftml_test.cpp
@@ -34,7 +40,6 @@
     rmsprop_test.cpp
     sa_test.cpp
     sarah_test.cpp
-    scd_test.cpp
     sdp_primal_dual_test.cpp
     sgdr_test.cpp
     sgd_test.cpp
@@ -45,6 +50,7 @@
     svrg_test.cpp
     swats_test.cpp
     wn_grad_test.cpp
+    yogi_test.cpp
 )
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
