=== debian/changelog ===
ensmallen (2.21.1-1) unstable; urgency=medium

  * Merge upstream commit to finish updating the version
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 22 Feb 2024 12:04:06 +0000
