=== debian/changelog ===
ensmallen (2.22.1-2) unstable; urgency=medium

  * Cherry-pick two upstream commits
    - the upstreamed version of the include file quilt patch
    - tollerance reduction on test case that failed on 32-bit architectures

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Feb 2025 19:47:05 +0000

ensmallen (2.22.1-1) unstable; urgency=medium

  * New usptream version
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 04 Dec 2024 20:38:28 +0000
