=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -24,16 +24,19 @@
     gradient_descent_test.cpp
     grid_search_test.cpp
     iqn_test.cpp
+    indicators_test.cpp
     katyusha_test.cpp
     lbfgs_test.cpp
     line_search_test.cpp
     lookahead_test.cpp
     lrsdp_test.cpp
     moead_test.cpp
+    agemoea_test.cpp
     momentum_sgd_test.cpp
     nesterov_momentum_sgd_test.cpp
     nsga2_test.cpp
     parallel_sgd_test.cpp
+    pop_cmaes_test.cpp
     proximal_test.cpp
     pso_test.cpp
     quasi_hyperbolic_momentum_sgd_test.cpp
