=== debian/changelog ===
ensmallen (2.22.2-1) unstable; urgency=medium

  * New upstream version
  * Update packaging scripts

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 Aug 2025 01:58:35 +0100
