=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,9 @@
     demon_adam_test.cpp
     demon_sgd_test.cpp
     eve_test.cpp
+    fasta_test.cpp
+    fbs_test.cpp
+    fista_test.cpp
     frankwolfe_test.cpp
     ftml_test.cpp
     function_test.cpp
@@ -52,6 +55,7 @@
     spsa_test.cpp
     svrg_test.cpp
     swats_test.cpp
+    test_types.cpp
     wn_grad_test.cpp
     yogi_test.cpp
 )
