=== debian/changelog ===
ensmallen (3.10.0-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Oct 2025 15:26:12 +0100
