=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DUSE_OPENMP=ON
 
 # Note that the build-time tests are pretty much redundant with autopkgtest.
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
