=== debian/tests/control ===
Tests: test-script
Depends: @, g++ | clang | c++-compiler, libarmadillo-dev, pkg-config, catch2
Restrictions: allow-stderr
