=== debian/watch ===
version=4
https://www.ensmallen.org/files/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
