=== debian/watch ===
Version: 5
Source: https://www.ensmallen.org/files/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
